<div>
    <!-- anchor tag horizontally -->
    <div class="flex items-center gap-2 text-xs text-gray-600">
        <!-- Home link -->
        <a href="/main/profile" class="flex items-center hover:text-orange-600">
            <x-heroicon-o-home class="w-3 h-3 mr-1" />
            <span class="leading-none">Home</span>
        </a>
        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <a href="/main/top-up" class="hover:text-orange-600">
            Top Up
        </a>
        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <span>
            View Top Up
        </span>
    </div>

    <!-- Page Title -->
    <h3 class="text-5xl font-semibold text-gray-800 mt-4">Top Up Details</h3>

    <!-- Bottom border -->
    <div class="border-b border-gray-300 mt-5"></div>

    <div class="mt-10">

        <div class="p-6 mt-10 max-w-5xl mx-auto bg-white rounded-md shadow-md">
            <div>
                <h4 class="font-bold mb-5 text-2xl">Content Details</h4>
                <p><span class="font-semibold">Fee Code:</span> {{$fee_code}}</p>
                <p><span class="font-semibold">Name:</span> {{$name}}</p>
                <p><span class="font-semibold">Value:</span> {{$amount}}</p>
                <p><span class="font-semibold">Type:</span> {{$type}}</p>
            </div>
        </div>