<div>
    @switch($activePage)

    @case('profile')
    <livewire:profile />
    @break

    @case('user-management')
    <livewire:user-management />
    @break

    @case('notification')
    <livewire:notification />
    @break

    <!-- Member Management -->
    @case('card-member')
    <livewire:card-member />
    @break

    @case('locked-account')
    <livewire:locked-account />
    @break
    <!-- end -->

    <!-- Home Page (Mobile) -->
    @case('photo-slider')
    <livewire:photo-slider />
    @break
    <!-- end -->

    @case('promotion')
    <livewire:promotion />
    @break

    @case('top-up')
    <livewire:top-up />
    @break

    <!-- About Us -->
    @case('card-type')
    <livewire:card-type />
    @break

    @case('terms-and-privacy')
    <livewire:terms-and-privacy />
    @break
    <!-- end -->

    <!-- Reports -->
    @case('registration-report')
    <livewire:registration-report />
    @break

    @case('top-up-usage-report')
    <livewire:top-up-usage-report />
    @break

    @case('mobile-usage-report')
    <livewire:mobile-usage-report />
    @break

    @case('station-rating-report')
    <livewire:station-rating-report />
    @break
    <!-- end -->

    @case('system-parameter')
    <livewire:system-parameter />
    @break

    <!-- Station Locator -->
    @case('branch')
    <livewire:branch />
    @break

    @case('station')
    <livewire:station />
    @break

    @case('fuel')
    <livewire:fuel />
    @break

    @case('top-up-settings')
    <livewire:top-up-settings />
    @break

    <!-- Fuel Price Update -->
    @case('on-demand')
    <livewire:on-demand />
    @break

    @case('schedule')
    <livewire:schedule />
    @break

    @case('update-logs')
    <livewire:update-logs />
    @break

    <!-- Create/Add Routes -->
    @case('user-create')
    <livewire:buttons.create-user />
    @break

    @case('notification-create')
    <livewire:buttons.create-notification />
    @break

    @case('photo-slider-create')
    <livewire:buttons.create-photo-slider />
    @break

    @case('promotion-create')
    <livewire:buttons.create-promotion />
    @break

    @case('top-up-create')
    <livewire:buttons.create-top-up />
    @break

    @case('card-type-create')
    <livewire:buttons.create-card-type />
    @break

    @case('terms-and-privacy-create')
    <livewire:buttons.create-terms-and-privacy />
    @break

    @case('branch-create')
    <livewire:buttons.create-branch />
    @break

    @case('station-create')
    <livewire:buttons.create-station />
    @break

    @case('fuel-create')
    <livewire:buttons.create-fuel />
    @break


    <!-- Update/Edit Routes -->
    @case('user-update')
    <livewire:buttons.update-user :uuid="request()->get('uuid')" />
    @break

    @case('photo-slider-update')
    <livewire:buttons.update-photo-slider :uuid="request()->get('uuid')" />
    @break

    @case('promotion-update')
    <livewire:buttons.update-promotion :uuid="request()->get('uuid')" />
    @break

    @case('top-up-update')
    <livewire:buttons.update-top-up :uuid="request()->get('uuid')" />
    @break

    @case('card-type-update')
    <livewire:buttons.update-card-type :uuid="request()->get('uuid')" />
    @break

    @case('terms-and-privacy-update')
    <livewire:buttons.update-terms-and-privacy :uuid="request()->get('uuid')" />
    @break


    <!-- View Routes -->
    @case('user-view')
    <livewire:buttons.view-user :uuid="request()->get('uuid')" />
    @break

    @case('card-member-view')
    <livewire:buttons.view-card-member :uuid="request()->get('uuid')" />
    @break

    @case('locked-account-view')
    <livewire:buttons.view-locked-account :uuid="request()->get('uuid')" />
    @break

    @case('photo-slider-view')
    <livewire:buttons.view-photo-slider :uuid="request()->get('uuid')" />
    @break

    @case('promotion-view')
    <livewire:buttons.view-promotion :uuid="request()->get('uuid')" />
    @break

    @case('top-up-view')
    <livewire:buttons.view-top-up :uuid="request()->get('uuid')" />
    @break

    @case('card-type-view')
    <livewire:buttons.view-card-type :uuid="request()->get('uuid')" />
    @break

    @case('terms-and-privacy-view')
    <livewire:buttons.view-terms-and-privacy :uuid="request()->get('uuid')" />
    @break





    @default
    <livewire: profile />
    @endswitch
</div>