<div>
{{-- Top Nav --}}
@include('livewire.top-up.top-nav.top-up')
<livewire:components.table 
    :columns="[
        ['label' => 'Fee Code', 'field' => 'fee_code', 'type' => 'text'],
        ['label' => 'Name', 'field' => 'name', 'type' => 'text'],
        ['label' => 'Value', 'field' => 'amount', 'type' => 'text'],
        ['label' => 'Type', 'field' => 'type', 'type' => 'text'],
    ]"
    :rows="$topUp" 
    :hasActions="true"
    :isViewPage="false"
    :addRoute="route('top-up-create')" 
    :rowKey="'topup_uuid'"
    :updateRoute="'/main/top-up/top-up-update'"
    :viewRoute="'/main/top-up/top-up-view'"
    :deleteEndpoint="'api/cms/topUp'"
    :deleteAllEndpoint="'api/cms/topUpBatchDelete'"
    />
</div>